> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the full detail about an order



## OpenAPI

````yaml /openapi.json get /api/v1/Orders/Detail/{accountNumber}/{orderNumber}
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Orders/Detail/{accountNumber}/{orderNumber}:
    get:
      tags:
        - Orders
      summary: Gets the full detail about an order
      parameters:
        - name: accountNumber
          in: path
          required: true
          schema:
            type: string
        - name: orderNumber
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderDetailServiceResult'
components:
  schemas:
    OrderDetailServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/OrderDetail'
      additionalProperties: false
      description: Generic container for all service responses
    OrderDetail:
      type: object
      properties:
        header:
          $ref: '#/components/schemas/OrderDetailHeader'
        holds:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailHold'
          description: Holds
          nullable: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailMessage'
          description: Informational messages
          nullable: true
        soldToConsumers:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailSoldToConsumer'
          description: The customers(s) Sold To
          nullable: true
        shipToConsumers:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailShipToConsumer'
          description: The customers(s) Shipped To
          nullable: true
        deliverToConsumers:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailDeliverToConsumer'
          description: The deliver to consumers
          nullable: true
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailLine'
          description: The Line Items for this order
          nullable: true
        packages:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailPackage'
          description: The packages that make up this order
          nullable: true
        contents:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailContent'
          description: The Contents of this order
          nullable: true
        trackings:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailTracking'
          description: Shipment Tracking history for the order
          nullable: true
        notes:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailNote'
          description: Any notes added to the order
          nullable: true
        billings:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailBilling'
          description: Billing history for the order
          nullable: true
        accountPayableHeaders:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailAccountPayableHeader'
          description: AP Details
          nullable: true
        accountPayableLines:
          type: array
          items:
            $ref: '#/components/schemas/OrderDetailAccountPayableLine'
          description: AP Per Line
          nullable: true
      additionalProperties: false
      description: A fully detailed order
    OrderDetailHeader:
      type: object
      properties:
        accountNumber:
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          nullable: true
        customerName:
          type: string
          description: Customer Name
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley,\r\n    \"DAL\" - Dallas"
          nullable: true
        warehouseName:
          type: string
          description: "The warehouse this transfer is going to\r\n \r\n Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley"
          nullable: true
        wineDirectOrderNumber:
          type: string
          description: The order number of WineDirect
          nullable: true
        orderNumber:
          type: string
          description: The order number of the customer
          nullable: true
        receivedDate:
          type: string
          description: Received Date
          format: date-time
          nullable: true
        creationDate:
          type: string
          description: Creation Date
          format: date-time
        customerOrderDate:
          type: string
          description: Customer Order Date
          format: date-time
          nullable: true
        requestedShipDate:
          type: string
          description: "Future ship date.  Enter the date you want the order to be processed.  We will hold the orders until that date.\r\n            \r\n      eg 2023-12-15"
          format: date-time
          nullable: true
        fulfillmentDate:
          type: string
          description: Fulfillment Date
          format: date-time
          nullable: true
        shippedDate:
          type: string
          description: Shipped Date
          format: date-time
          nullable: true
        batchNumber:
          type: string
          description: Batch Number
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        orderTypeName:
          type: string
          description: The Type of Order (Name)
          nullable: true
        requestedServiceLevel:
          type: string
          description: The service level that was requested
          nullable: true
        plannedServiceLevel:
          type: string
          description: The planned service level
          nullable: true
        orderStatusCode:
          type: string
          description: "The status of the order (Code)\r\n            \r\n    'DELIVERED' - \"The package has been delivered to the intended recipient.\"\r\n    'EXCEPTION' - \"The last recorded activity for the package is a delivery exception.\r\n    'IN_TRANSIT'- \"The package is in transit within the carrier network.\"\r\n    'RETURNED'  - \"The package has been returned to the fulfillment center.\"\r\n    'SHIPPED'   - \"The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network.\""
          nullable: true
        orderStatusName:
          type: string
          description: The status of the Order (Name)
          nullable: true
        collapsedStatus:
          type: string
          description: Collapsed Status
          nullable: true
        notificationEmail:
          type: string
          description: Notification Email
          nullable: true
        notificationPhone:
          type: string
          description: Notification Phone
          nullable: true
        giftMessage:
          type: string
          description: Gift Message
          nullable: true
        shippingInstructions:
          type: string
          description: Shipping Instructions
          nullable: true
        complianceRoute:
          type: string
          description: The Compliance Route
          nullable: true
        fulfillmentRoute:
          type: string
          description: The Fulfillment Route
          nullable: true
        packingSlipCode:
          type: string
          description: The Packing Slip (Code)
          nullable: true
        packingSlipName:
          type: string
          description: The Packing Slip (Name)
          nullable: true
        isOnsitePurchase:
          type: boolean
          description: Is an OnSite purchase
        isLineHaul:
          type: boolean
          description: Is a Line Haul
        isEditable:
          type: boolean
          description: Is Editable
        isCancellable:
          type: boolean
          description: Is Cancellable
        isBackOrdered:
          type: boolean
          description: Is the order backordered
        hasInventoryHold:
          type: boolean
          description: Has Inventory Hold
        slaStatusCode:
          type: string
          description: Service Level Agreement (Code)
          nullable: true
        slaStatusName:
          type: string
          description: Service Level Agreement (Name)
          nullable: true
        slaDate:
          type: string
          description: Service Level Agreement Date
          format: date-time
          nullable: true
        notificationTemplateCode:
          type: string
          description: Notification Template Code
          nullable: true
        notificationTemplateName:
          type: string
          description: Notification Template Name
          nullable: true
        packagingTypeCode:
          type: string
          description: "The Packaging Type (Code)\r\n            \r\n     eg COOLPACK"
          nullable: true
        packagingTypeName:
          type: string
          description: "The Packaging Type (Name)\r\n            \r\n     eg COOLPACK"
          nullable: true
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: A list of value added services for this order
          nullable: true
      additionalProperties: false
    OrderDetailHold:
      type: object
      properties:
        holdStatus:
          type: string
          description: Hold Status
          nullable: true
        holdName:
          type: string
          description: Hold Name
          nullable: true
        holdDescription:
          type: string
          description: Hold Description
          nullable: true
        expirationDate:
          type: string
          description: Expiratio nDate
          format: date-time
          nullable: true
        creationDate:
          type: string
          description: Creation Date
          format: date-time
        holdComment:
          type: string
          description: Hold Comment
          nullable: true
        releaseDate:
          type: string
          description: Release Date
          format: date-time
          nullable: true
        releaseReason:
          type: string
          description: Release Reason
          nullable: true
        releaseComment:
          type: string
          description: Release Comment
          nullable: true
        isDirectlyReleasable:
          type: boolean
          description: Is Directly Releasable
      additionalProperties: false
    OrderDetailMessage:
      type: object
      properties:
        messageType:
          type: string
          description: Message Type
          nullable: true
        messageTime:
          type: string
          description: Message Time
          format: date-time
        message:
          type: string
          description: Message
          nullable: true
      additionalProperties: false
    OrderDetailSoldToConsumer:
      type: object
      properties:
        isResidentialAddress:
          type: boolean
          description: Is Residential Address
        firstName:
          type: string
          description: First Name
          nullable: true
        middleName:
          type: string
          description: Middle Name
          nullable: true
        lastName:
          type: string
          description: Last Name
          nullable: true
        companyName:
          type: string
          description: Company Name, if applicable
          nullable: true
        address1:
          type: string
          description: Address 1
          nullable: true
        address2:
          type: string
          description: Address 2
          nullable: true
        address3:
          type: string
          description: Address 3
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        stateCode:
          type: string
          description: State Code
          nullable: true
        stateName:
          type: string
          description: State Name
          nullable: true
        postalCode:
          type: string
          description: Postal (Zip) Code
          nullable: true
        countryCode:
          type: string
          description: Country
          nullable: true
        countryName:
          type: string
          description: Country
          nullable: true
        deliveryStatusCode:
          type: string
          description: Delivery Status Code
          nullable: true
        deliveryStatusName:
          type: string
          description: Delivery Status Name
          nullable: true
        deliveryAddressTypeCode:
          type: string
          description: Delivery Address Type Code
          nullable: true
      additionalProperties: false
    OrderDetailShipToConsumer:
      type: object
      properties:
        isResidentialAddress:
          type: boolean
          description: Is Residential Address
        firstName:
          type: string
          description: First Name
          nullable: true
        middleName:
          type: string
          description: Middle Name
          nullable: true
        lastName:
          type: string
          description: Last Name
          nullable: true
        companyName:
          type: string
          description: Company Name, if applicable
          nullable: true
        address1:
          type: string
          description: Address 1
          nullable: true
        address2:
          type: string
          description: Address 2
          nullable: true
        address3:
          type: string
          description: Address 3
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        stateCode:
          type: string
          description: State Code
          nullable: true
        stateName:
          type: string
          description: State Name
          nullable: true
        postalCode:
          type: string
          description: Postal (Zip) Code
          nullable: true
        countryCode:
          type: string
          description: Country
          nullable: true
        countryName:
          type: string
          description: Country
          nullable: true
        deliveryStatusCode:
          type: string
          description: Delivery Status Code
          nullable: true
        deliveryStatusName:
          type: string
          description: Delivery Status Name
          nullable: true
        deliveryAddressTypeCode:
          type: string
          description: Delivery Address Type Code
          nullable: true
        deliveryAddressTypeName:
          type: string
          description: Delivery Address Type Name
          nullable: true
      additionalProperties: false
    OrderDetailDeliverToConsumer:
      type: object
      properties:
        isResidentialAddress:
          type: boolean
          description: Is Residential Address
        firstName:
          type: string
          description: First Name
          nullable: true
        middleName:
          type: string
          description: Middle Name
          nullable: true
        lastName:
          type: string
          description: Last Name
          nullable: true
        companyName:
          type: string
          description: Company Name, if applicable
          nullable: true
        address1:
          type: string
          description: Address 1
          nullable: true
        address2:
          type: string
          description: Address 2
          nullable: true
        address3:
          type: string
          description: Address 3
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        stateCode:
          type: string
          description: State Code
          nullable: true
        stateName:
          type: string
          description: State Name
          nullable: true
        postalCode:
          type: string
          description: Postal (Zip) Code
          nullable: true
        countryCode:
          type: string
          description: Country
          nullable: true
        countryName:
          type: string
          description: Country
          nullable: true
        deliveryStatusCode:
          type: string
          description: Delivery Status Code
          nullable: true
        deliveryStatusName:
          type: string
          description: Delivery Status Name
          nullable: true
        deliveryAddressTypeCode:
          type: string
          description: Delivery Address Type Code
          nullable: true
        deliveryAddressTypeName:
          type: string
          description: Delivery Address Type Name
          nullable: true
      additionalProperties: false
    OrderDetailLine:
      type: object
      properties:
        lineNumber:
          type: string
          description: Line Number
          nullable: true
        componentNumber:
          type: string
          description: Component Number
          nullable: true
        inventoryItemId:
          type: string
          description: Inventory Item RowId
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        isShippable:
          type: boolean
          description: Is the package shippable
        quantityOrdered:
          type: integer
          description: Quantity Ordered
          format: int32
        uom:
          type: string
          description: Unit of Measure
          nullable: true
        unitPrice:
          type: number
          description: Unit Price
          format: double
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        subInventoryName:
          type: string
          description: The Sub Inventory this inventory is in (Name)
          nullable: true
        quantityReserved:
          type: integer
          description: Quantity Reserved
          format: int32
        quantityShipped:
          type: integer
          description: Quantity Shipped
          format: int32
        isBomComponent:
          type: boolean
          description: Is this a Billing Of Materials component
        itemShortage:
          type: integer
          description: Total item shortage to fill this order
          format: int32
        vasOrderPersonalizations:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalization'
          description: A list of value added services for this order
          nullable: true
      additionalProperties: false
    OrderDetailPackage:
      type: object
      properties:
        shipmentKey:
          type: string
          description: Shipment Key
          nullable: true
        shipperOfRecord:
          type: string
          description: Shipper Of Record
          nullable: true
        carrierName:
          type: string
          description: Carrier Name
          nullable: true
        shipDate:
          type: string
          description: Date Shipped
          format: date-time
          nullable: true
        trackingNumber:
          type: string
          description: Carrier tracking Number
          nullable: true
        carrierHttpLink:
          type: string
          description: https link to tracking information at the carrier
          nullable: true
        packageWeight:
          type: number
          description: Package Weight
          format: double
        deliveryStatusName:
          type: string
          description: Delivery Status Name
          nullable: true
        deliveryDate:
          type: string
          description: Delivery Date
          format: date-time
          nullable: true
        exceptionCount:
          type: integer
          description: Exception Count
          format: int32
        returnDate:
          type: string
          description: Return Date
          format: date-time
          nullable: true
        returnReason:
          type: string
          description: Return Reason
          nullable: true
        emailProcessMessage:
          type: string
          description: Email Process Message
          nullable: true
      additionalProperties: false
    OrderDetailContent:
      type: object
      properties:
        shipmentKey:
          type: string
          description: Shipment Key
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        description:
          type: string
          description: Description of the SKU
          nullable: true
        quantityOrdered:
          type: integer
          description: Quantity Ordered
          format: int32
        quantityShipped:
          type: integer
          description: Quantity Shipped
          format: int32
        quantityReturned:
          type: integer
          description: Quantity Returned
          format: int32
        quantityDamaged:
          type: integer
          description: Quantity Damaged
          format: int32
        quantityMissing:
          type: integer
          description: Quantity Missing
          format: int32
      additionalProperties: false
    OrderDetailTracking:
      type: object
      properties:
        shipmentKey:
          type: string
          description: Shipment Key
          nullable: true
        eventDate:
          type: string
          description: Event Date
          format: date-time
          nullable: true
        eventCity:
          type: string
          description: Event City
          nullable: true
        eventState:
          type: string
          description: Event State
          nullable: true
        eventPostalCode:
          type: string
          description: Event (Zip) Postal Code
          nullable: true
        eventCode:
          type: string
          description: Event Code
          nullable: true
        eventName:
          type: string
          description: Event Name
          nullable: true
        isException:
          type: boolean
          description: Is Exception
        eventComments:
          type: string
          description: Event Comments
          nullable: true
      additionalProperties: false
    OrderDetailNote:
      type: object
      properties:
        shipmentKey:
          type: string
          description: Shipment Key
          nullable: true
        notes:
          type: string
          description: Notes
          nullable: true
      additionalProperties: false
    OrderDetailBilling:
      type: object
      properties:
        invoicingDate:
          type: string
          description: Invoicing Date
          format: date-time
          nullable: true
        printedInvoiceNumber:
          type: string
          description: Printed Invoice Number
          nullable: true
        lineNumber:
          type: string
          description: Line Number
          nullable: true
        invoiceNumber:
          type: string
          description: Invoice Number
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
        lineQuantity:
          type: number
          description: Line Quantity
          format: double
        lineSubtotal:
          type: number
          description: Line Subtotal
          format: double
      additionalProperties: false
    OrderDetailAccountPayableHeader:
      type: object
      properties:
        invoiceKey:
          type: string
          description: Invoice Key
          nullable: true
        invoiceNum:
          type: string
          description: Invoice Number
          nullable: true
        payTo:
          type: string
          description: Pay To
          nullable: true
        description:
          type: string
          description: Description
          nullable: true
        invoiceAmount:
          type: number
          description: Invoice Amount
          format: double
      additionalProperties: false
    OrderDetailAccountPayableLine:
      type: object
      properties:
        invoiceKey:
          type: string
          description: Invoice Key
          nullable: true
        lineNumber:
          type: string
          description: Line Number
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        paymentType:
          type: string
          description: Payment Type
          nullable: true
        paymentAmount:
          type: number
          description: Payment Amount
          format: double
      additionalProperties: false
    VasOrderPersonalization:
      required:
        - type
      type: object
      properties:
        lineNumber:
          type: integer
          description: >-
            The line number of the SKU this personalization is assigned to. Not
            required for order header
          format: int32
          nullable: true
        type:
          maxLength: 80
          minLength: 1
          type: string
        message:
          maxLength: 2000
          type: string
          description: Messaging about the set of value added services
          nullable: true
        options:
          type: array
          items:
            $ref: '#/components/schemas/VasOrderPersonalizationOption'
          description: A collection of specific value added services
          nullable: true
      additionalProperties: false
      description: A set of value added services
    VasOrderPersonalizationOption:
      required:
        - type
      type: object
      properties:
        type:
          maxLength: 80
          minLength: 1
          type: string
          description: The type of the value added service. Eg a ribbon
        option:
          maxLength: 80
          type: string
          description: An option applied to the type. eg the color of the type's ribbon.
          nullable: true
        message:
          maxLength: 2000
          type: string
          description: Messaging about the value added service
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````